Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::HardwareIndexBufferSharedPtr Class Reference

Shared pointer implementation used to share index buffers. More...

`#include <OgreHardwareIndexBuffer.h>`

Inheritance diagram for Ogre::HardwareIndexBufferSharedPtr:

[legend]
List of all members.

## Public Methods

| HardwareIndexBufferSharedPtr ()
| HardwareIndexBufferSharedPtr (HardwareIndexBuffer *buf)
HardwareIndexBuffer & | operator * () const
HardwareIndexBuffer * | operator-> () const
HardwareIndexBuffer * | get () const
void | bind (HardwareIndexBuffer *rep)
| Binds rep to the SharedPtr.
bool | unique () const
unsigned int | useCount () const
HardwareIndexBuffer * | getPointer () const
bool | isNull (void) const
void | setNull (void)

## Protected Methods

void | release (void)
virtual void | destroy (void)

## Protected Attributes

HardwareIndexBuffer * | pRep
unsigned int * | pUseCount

## Detailed Description

Shared pointer implementation used to share index buffers.

Definition at line 66 of file OgreHardwareIndexBuffer.h.

## Constructor & Destructor Documentation

Ogre::HardwareIndexBufferSharedPtr::HardwareIndexBufferSharedPtr | ( |  | ) |

| Definition at line 69 of file OgreHardwareIndexBuffer.h.

Ogre::HardwareIndexBufferSharedPtr::HardwareIndexBufferSharedPtr | ( | HardwareIndexBuffer * | buf | ) |

| Definition at line 69 of file OgreHardwareIndexBuffer.cpp.

## Member Function Documentation

void Ogre::SharedPtr< HardwareIndexBuffer >::bind | ( | HardwareIndexBuffer * | rep | ) | `[inherited]`

Binds rep to the SharedPtr.

Remarks:
  Assumes that the SharedPtr is uninitialised!

Definition at line 85 of file OgreSharedPtr.h.

virtual void Ogre::SharedPtr< HardwareIndexBuffer >::destroy | ( | void |  | ) | `[protected, virtual, inherited]`

| Definition at line 115 of file OgreSharedPtr.h.

HardwareIndexBuffer* Ogre::SharedPtr< HardwareIndexBuffer >::get | ( |  | ) | const`[inherited]`

| Definition at line 79 of file OgreSharedPtr.h. Referenced by Ogre::GLRenderSystem::_render(), Ogre::D3D9RenderSystem::_render(), and Ogre::IndexData::clone().

HardwareIndexBuffer* Ogre::SharedPtr< HardwareIndexBuffer >::getPointer | ( |  | ) | const`[inherited]`

| Definition at line 94 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< HardwareIndexBuffer >::isNull | ( | void |  | ) | const`[inherited]`

| Definition at line 96 of file OgreSharedPtr.h. Referenced by Ogre::SceneManager::setShadowIndexBufferSize(), and Ogre::SceneManager::setShadowTechnique().

HardwareIndexBuffer& Ogre::SharedPtr< HardwareIndexBuffer >::operator * | ( |  | ) | const`[inherited]`

| Definition at line 77 of file OgreSharedPtr.h.

HardwareIndexBuffer* Ogre::SharedPtr< HardwareIndexBuffer >::operator-> | ( |  | ) | const`[inherited]`

| Definition at line 78 of file OgreSharedPtr.h.

void Ogre::SharedPtr< HardwareIndexBuffer >::release | ( | void |  | ) | `[protected, inherited]`

| Definition at line 106 of file OgreSharedPtr.h.

void Ogre::SharedPtr< HardwareIndexBuffer >::setNull | ( | void |  | ) | `[inherited]`

| Definition at line 98 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< HardwareIndexBuffer >::unique | ( |  | ) | const`[inherited]`

| Definition at line 91 of file OgreSharedPtr.h.

unsigned int Ogre::SharedPtr< HardwareIndexBuffer >::useCount | ( |  | ) | const`[inherited]`

| Definition at line 92 of file OgreSharedPtr.h.

## Member Data Documentation

HardwareIndexBuffer* Ogre::SharedPtr< HardwareIndexBuffer >::pRep`[protected, inherited]`

| Definition at line 44 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< HardwareIndexBuffer >::pUseCount`[protected, inherited]`

| Definition at line 45 of file OgreSharedPtr.h.

The documentation for this class was generated from the following files:

- OgreHardwareIndexBuffer.h
- OgreHardwareIndexBuffer.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:04 2004